<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

	<xsd:include schemaLocation="common_obj.xsd"/>
	<xsd:include schemaLocation="common_trans_obj.xsd"/>
	<xsd:include schemaLocation="obj_force.xsd"/>
	<xsd:include schemaLocation="obj_reservation.xsd"/>
  

	<xsd:element name="RES_SUMMARY_LS" type="ReservationSummaryListContent"/>
	<xsd:element name="RES_SUMMARY" type="ReservationSummaryContent"/>	
	<xsd:element name="MEETING_ROOM_SUMMARY_LS" type="MeetingRoomSummaryListContent"/>
	<xsd:element name="CONFERENCE_TEMPLATE_SUMMARY_LS" type="ConferenceTemplateSummaryListContent"/>
	<xsd:element name="MEETING_ROOM_SUMMARY" type="MeetingRoomSummaryContent"/>
	<xsd:element name="CONFERENCE_TEMPLATE_SUMMARY" type="ConferenceTemplateSummaryContent"/>
	<xsd:element name="PROFILE_SUMMARY_LS" type="ProfileSummaryListContent"/>
	<xsd:element name="PROFILE_SUMMARY" type="ProfileSummaryContent"/>
	<xsd:element name="RES_STATUS" type="ReservationStatusContent"/>
	<xsd:element name="RES_CHANGE" type="ObjChangeType"/>
	<xsd:element name="DELETED_RES_LIST" type="DeletedListContent"/>
  <xsd:element name="DEFAULT_EQ_NAME" type="xsd:string"/>


  <xsd:complexType name="ReservationSummaryListContent">
        <xsd:sequence>
				<xsd:element ref="OBJ_TOKEN"/>
				<xsd:element ref="CHANGED"/>
				<xsd:element ref="DELETED_RES_LIST" minOccurs="0"/>
				<xsd:element ref="RES_SUMMARY" minOccurs="0" maxOccurs="unbounded"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
        </xsd:sequence>
    </xsd:complexType>	

	<xsd:complexType name="MeetingRoomSummaryListContent">
		<xsd:sequence>
			<xsd:element ref="OBJ_TOKEN"/>
			<xsd:element ref="CHANGED"/>
			<xsd:element ref="DELETED_RES_LIST" minOccurs="0"/>
			<xsd:element ref="DEFAULT_EQ_NAME" minOccurs="0"/>
			<xsd:element ref="MEETING_ROOM_SUMMARY" minOccurs="0" maxOccurs="unbounded"/>
      <xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ConferenceTemplateSummaryListContent">
		<xsd:sequence>
			<xsd:element ref="OBJ_TOKEN"/>
			<xsd:element ref="CHANGED"/>
			<xsd:element ref="DELETED_RES_LIST" minOccurs="0"/>
			<xsd:element ref="CONFERENCE_TEMPLATE_SUMMARY" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ProfileSummaryListContent">
		<xsd:sequence>
			<xsd:element ref="OBJ_TOKEN"/>
			<xsd:element ref="CHANGED"/>
			<xsd:element ref="DELETED_RES_LIST" minOccurs="0"/>
			<xsd:element ref="PROFILE_SUMMARY" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	
	<xsd:complexType name="MeetingRoomSummaryContent">
		<xsd:sequence>
			<xsd:element ref="NAME" minOccurs="0"/>
			<xsd:element ref="ID"/>
			<xsd:element ref="RES_CHANGE"/>
			<xsd:element ref="RES_STATUS" minOccurs="0" />
			<xsd:element ref="DURATION" minOccurs="0" />
			<xsd:element ref="MEET_ME_PHONE" minOccurs="0" />		<!--supported from version 2.0-->
			<xsd:element ref="MR_STATE" minOccurs="0" />
			<xsd:element ref="OPERATOR_CONF" minOccurs="0" />		<!--supported from version 4.1-->
			<xsd:element ref="AUDIO_CONF" minOccurs="0" />			<!--not supported-->
			<xsd:element ref="ENTRY_QUEUE" minOccurs="0" />
			<xsd:element ref="ENTRY_PASSWORD" minOccurs="0" />
			<xsd:element ref="PASSWORD" minOccurs="0" />
 			<xsd:element ref="H323_ONLY" minOccurs="0" />			<!--not supported-->
			<xsd:element ref="NUMERIC_ID" minOccurs="0" />
			<xsd:element ref="CONTACT_INFO_LIST" minOccurs="0"/>	<!--not supported-->
			<xsd:element ref="NUM_PARTIES" minOccurs="0" />
			<xsd:element ref="NUM_UNDEFINED_PARTIES" minOccurs="0"/>
			<xsd:element ref="DIAL_IN_H323_SRV_PREFIX_LIST" minOccurs="0"/>
			<xsd:element ref="ENTRY_QUEUE_TYPE" minOccurs="0"/>		<!--not supported-->
			<xsd:element ref="WEB_RESERVED_UID" minOccurs="0"/>		<!--not supported-->
			<xsd:element ref="WEB_OWNER_UID" minOccurs="0"/>		<!--not supported-->
			<xsd:element ref="WEB_DB_ID" minOccurs="0"/>			<!--not supported-->
			<xsd:element ref="WEB_RESERVED" minOccurs="0"/>			<!--not supported-->
			<xsd:element ref="ENCRYPTION" minOccurs="0"/>
			<xsd:element ref="SIP_FACTORY" minOccurs="0"/>
			<xsd:element ref="AD_HOC_PROFILE_ID" minOccurs="0" />			
			<xsd:element ref="DISPLAY_NAME" minOccurs="0"/>		
			<xsd:element ref="IS_TELEPRESENCE_MODE" minOccurs="0"/>
			<xsd:element ref="GATEWAY" minOccurs="0"/>
			<xsd:element ref="TELEPRESENCE_MODE_CONFIGURATION" minOccurs="0"/>
			<xsd:element ref="TELEPRESENCE_LAYOUT_MODE" minOccurs="0"/>
      <xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
  </xsd:complexType>

	<xsd:complexType name="ConferenceTemplateSummaryContent">
		<xsd:sequence>
			<xsd:element ref="DISPLAY_NAME" minOccurs="0"/>
			<xsd:element ref="ID"/>
			<xsd:element ref="RES_CHANGE"/>
			<xsd:element ref="OPERATOR_CONF" minOccurs="0" />
      <xsd:element ref="RES_STATUS" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ReservationSummaryContent">
		<xsd:sequence>
			<xsd:element ref="NAME" minOccurs="0"/>
			<xsd:element ref="ID"/>
			<xsd:element ref="RES_CHANGE"/>
			<xsd:element ref="RES_STATUS" minOccurs="0" />
			<xsd:element ref="START_TIME" minOccurs="0" />			<!-- in GMT !!!-->
			<xsd:element ref="END_TIME" minOccurs="0" />			<!-- in GMT !!!-->
			<xsd:element ref="DURATION" minOccurs="0" />
			<xsd:element ref="MEET_ME_PHONE" minOccurs="0" />		<!--supported from version 2.0-->
			<xsd:element ref="REPEATED_ID" minOccurs="0" />
			<xsd:element ref="OPERATOR_CONF" minOccurs="0" />		<!--supported from version 4.1-->
			<xsd:element ref="AUDIO_CONF" minOccurs="0" />			<!--not supported-->
			<xsd:element ref="ENTRY_QUEUE" minOccurs="0" />
			<xsd:element ref="ENTRY_PASSWORD" minOccurs="0" />
			<xsd:element ref="PASSWORD" minOccurs="0" />						
 			<xsd:element ref="H323_ONLY" minOccurs="0" />			<!--not supported-->
			<xsd:element ref="NUMERIC_ID" minOccurs="0" />
			<xsd:element ref="CONTACT_INFO_LIST" minOccurs="0"/>	<!--not supported-->
			<xsd:element ref="NUM_PARTIES" minOccurs="0" />
			<xsd:element ref="NUM_UNDEFINED_PARTIES" minOccurs="0"/>
			<xsd:element ref="DIAL_IN_H323_SRV_PREFIX_LIST" minOccurs="0"/>
			<xsd:element ref="ENTRY_QUEUE_TYPE" minOccurs="0"/>		<!--not supported-->
			<xsd:element ref="WEB_RESERVED_UID" minOccurs="0"/>		<!--not supported-->
			<xsd:element ref="WEB_OWNER_UID" minOccurs="0"/>		<!--not supported-->
			<xsd:element ref="WEB_DB_ID" minOccurs="0"/>			<!--not supported-->
			<xsd:element ref="WEB_RESERVED" minOccurs="0"/>			<!--not supported-->
			<xsd:element ref="ENCRYPTION" minOccurs="0"/>
			<xsd:element ref="SIP_FACTORY" minOccurs="0"/>
			<xsd:element ref="DISPLAY_NAME" minOccurs="0"/>
			<xsd:element ref="AD_HOC_PROFILE_ID" minOccurs="0" />
			<xsd:element ref="GATEWAY" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ProfileSummaryContent">
        <xsd:sequence>
			<xsd:element ref="NAME" minOccurs="0"/>
			<xsd:element ref="ID"/>
			<xsd:element ref="RES_CHANGE"/>  
			<xsd:element ref="DURATION" minOccurs="0" />                    <!--not supported-->
			<xsd:element ref="MEET_ME_PHONE" minOccurs="0" />		        <!--supported from version 2.0-->
			<xsd:element ref="OPERATOR_CONF" minOccurs="0" />		        <!--supported from version 4.1-->
			<xsd:element ref="AUDIO_CONF" minOccurs="0" />			        <!--not supported-->
			<xsd:element ref="ENTRY_QUEUE" minOccurs="0" />
			<xsd:element ref="ENTRY_PASSWORD" minOccurs="0" />              <!--not supported-->
			<xsd:element ref="PASSWORD" minOccurs="0" />                    <!--not supported-->
 			<xsd:element ref="H323_ONLY" minOccurs="0" />			        <!--not supported-->
			<xsd:element ref="NUMERIC_ID" minOccurs="0" />                  <!--not supported-->
			<xsd:element ref="CONTACT_INFO_LIST" minOccurs="0"/>            <!--not supported-->
			<xsd:element ref="NUM_PARTIES" minOccurs="0" />                 <!--not supported-->
			<xsd:element ref="NUM_UNDEFINED_PARTIES" minOccurs="0"/>        <!--not supported-->
			<xsd:element ref="DIAL_IN_H323_SRV_PREFIX_LIST" minOccurs="0"/> <!--not supported-->
			<xsd:element ref="ENTRY_QUEUE_TYPE" minOccurs="0"/>		        <!--not supported-->
			<xsd:element ref="ENCRYPTION" minOccurs="0"/>
			<xsd:element ref="SIP_FACTORY" minOccurs="0"/>                  <!--not supported-->
			<xsd:element ref="TRANSFER_RATE" minOccurs="0" />
			<xsd:element ref="AD_HOC_PROFILE_ID" minOccurs="0" />           <!--not supported-->
			<xsd:element ref="LAYOUT" minOccurs="0" />
			<xsd:element ref="AUTO_LAYOUT" minOccurs="0"/>
			<xsd:element ref="DISPLAY_NAME" minOccurs="0"/>	
			<xsd:element ref="IS_TELEPRESENCE_MODE" minOccurs="0"/>
			<xsd:element ref="GATEWAY" minOccurs="0"/>
			<xsd:element ref="HD" minOccurs="0"/>
			<xsd:element ref="TELEPRESENCE_MODE_CONFIGURATION" minOccurs="0"/>
			<xsd:element ref="TELEPRESENCE_LAYOUT_MODE" minOccurs="0"/>
      <xsd:element ref="RES_STATUS" minOccurs="0"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
    </xsd:sequence>
  </xsd:complexType>

	<xsd:simpleType name="ReservationStatusContent">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="ok"/>
			<xsd:enumeration value="expired"/>
			<xsd:enumeration value="suspended"/>
			<xsd:enumeration value="passwords_conflict"/>
      <xsd:enumeration value="wrong_system_mode"/>
    </xsd:restriction>
	</xsd:simpleType>


</xsd:schema>
